TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

First ( func pred, string s ) -> char

### Optional Arguments

Fail | any |  | Determines what to return in case of failure.

### Description

<shortdoc> Find the first character which suffices the predicate function `pred' and return it.
Note: Apparently `pred' must have `-> elt-alg^boo' out-signature. </shortdoc>

### Examples

First(i->(i='d' or i='z'),"abcdefzyx");

### See also

Last ( func, string ) -> char

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack